﻿@model ARGNSMDLabelling

@{
    string mTrId = "TR_Labelling" + Model.LineId;
    string mL_ML = "L_ML" + Model.LineId;
    string mL_LI = "L_LI" + Model.LineId;
    string mL_LS = "L_LS" + Model.LineId;
    string mL_Position = "L_Position" + Model.LineId;
    string mIsNew = "Labelling_IsNew" + Model.LineId;

    <tr id='@mTrId'>
        <td style="width:50px">
            <button onclick="DeleteRow('@mTrId')" type="button" class="btn btn-primary btn-xs"><span class="glyphicon glyphicon-trash"></span></button>
            <input type="hidden" id="@Model.LineId" value="@Model.LineId" />
        </td>
        <td><input id='@mL_ML' class="form-control" value='@Model.U_MLabel' onchange="LineWasChanged('@Model.LineId','Labelling');" /></td>
        <td><input id='@mL_LI' class="form-control" value='@Model.U_LImage' onchange="LineWasChanged('@Model.LineId','Labelling');" /></td>
        <td><input id='@mL_LS' class="form-control" value='@Model.U_LSize' onchange="LineWasChanged('@Model.LineId','Labelling');" /></td>
        <td><input id='@mL_Position' class="form-control" value='@Model.U_Position' onchange="LineWasChanged('@Model.LineId','Labelling');" /></td>
        <td style="display:none;">
            <input id="@mIsNew" value="@(Model.IsNew ? "true" : "false")" />
        </td>
        @{
            if (Model.MappedUdf != null && Model.MappedUdf.Count > 0)
            {
                foreach (var DictRow in Model.MappedUdf.OrderBy(c => c.UDFName))
                {
                    <td>
                        @if (DictRow.ListUFD1.Count > 0)
                        {
                            @Html.DropDownList(DictRow.UDFName, new SelectList(
                                DictRow.ListUFD1,
                                "FldValue",
                                "Descr", DictRow.Value), new { @Id = "LINEUDF_Labelling_" + DictRow.UDFName + Model.LineId, @Name = "LINEUDF_Labelling_" + DictRow.UDFName, @class = "form-control UDFField", @onchange = "LineWasChanged('" + Model.LineId + "','Labelling');" })
                        }
                        else
                        {
                            <input id='LINEUDF_Labelling_@DictRow.UDFName@Model.LineId' name="LINEUDF_Labelling_@DictRow.UDFName" class="form-control UDFField" value='@DictRow.Value' onchange="LineWasChanged('@Model.LineId','Labelling');" />
                        }
                    </td>
                }
            }
        }
    </tr>
}